Name:		drumstick
Summary:	C++/Qt4 wrapper around the ALSA library sequencer interface
Version:		1.0.0
Release:	%mkrel 1
Group:		Sound
License:		GPLv2+
URL:		http://drumstick.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/drumstick/%{version}svn/drumstick-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: cmake
BuildRequires: %{_lib}alsa2-devel 
BuildRequires: %{_lib}qt5core-devel 
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel 
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5widgets-devel 
BuildRequires: mesa-devel 
BuildRequires: qtbase5-common-devel 

#For man pages
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc
BuildRequires:	shared-mime-info

#for now add explict qt5 requires
Requires: %{_lib}qt5core5
Requires: %{_lib}qt5dbus5
Requires: %{_lib}qt5gui5
Requires: %{_lib}qt5network5
Requires: %{_lib}qt5widgets5
Requires: %{_lib}qtsvg5


%description
The drumstick library is a C++ wrapper around the ALSA library sequencer
interface, using Qt4 objects, idioms and style. The ALSA sequencer interface
provides software support for MIDI technology on GNU/Linux.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.


%package examples
Summary: Example programs for %{name}
Group:   Sound
Requires: %{name} = %{version}-%{release}

%description examples
This package contains the test/example programs for %{name}.


%prep
%setup -q -n %{name}-%{version}

%build
%cmake_qt5
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_datadir}/mime/packages/drumstick.xml
%{_libdir}/libdrumstick*.so.*
%{_datadir}/man/man1
%{_libdir}/drumstick/libdrumstick-rt-*.so

   
%files devel
%defattr(-,root,root,-)
%{_libdir}/libdrumstick*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/drumstick/
%{_includedir}/drumstick.h

%files examples
%defattr(-,root,root,-)
%{_bindir}/drumstick-*
%{_datadir}/applications/drumstick-*.desktop
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Thu Jun 05 2015 bb <bb> 1.0.0-1pclos2015
- update to 1.0.0

* Fri Dec 02 2011 Texstar <texstar at gmail.com> 0.4.0-2pclos2011
- rebuild 32/64

* Thu Jul 08 2010 Texstar <texstar at gmail.com> 0.4.0-1pclos2010
- 0.4.0

* Tue Jun 15 2010 Texstar <texstar at gmail.com> 0.3.1-1pclos2010
- import into pclos

